ranges::views::view_closure_base Struct Reference
Inheritance diagram for ranges::views::view_closure_base:

## Friends

template<typename Rng , typename ViewFn >
requires defer::viewable_range< Rng > &&defer::invocable_view_closure< ViewFn, Rng > friend constexpr auto | operator| (Rng &&rng, view_closure< ViewFn > vw)
template<typename Rng , typename ViewFn >
constexpr auto | operator| (Rng &&, view_closure< ViewFn > const &) -> Rng requires range< Rng > &&(!viewable_range< Rng >)=delete
template<typename ViewFn , typename Pipeable >
constexpr auto | operator| (view_closure< ViewFn > vw, Pipeable pipe) -> view_closure< composed< Pipeable, ViewFn >> requires(is_pipeable_v< Pipeable >)